<?php
/**
 * @package Flatly
 */
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>				
	</header><!-- .entry-header -->

	<div class="entry-content">
    	<div class="image-container-responsive featured-thumb">
           <a href="<?php the_permalink('') ?>" title="<?php the_title(); ?>"><?php the_post_thumbnail('flatly-feature-image'); ?></a>
        </div>
    	<div class="row entry-meta">
            <div id="featured-category" class="col-lg-8">
                <?php
                    $categories_list = get_the_category_list( __( ', ', 'flatly' ) );
                    if ( $categories_list && flatly_categorized_blog() ) {
                        printf( '<span class="cat-links">' . __( 'Posted in %1$s', 'flatly' ) . '</span>', $categories_list );
                    }
                ?>
            </div>
            <div class="col-lg-4 post-date">
                <?php
                    $time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
                    if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
                        $time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time>';
                    }
                
                    $time_string = sprintf( $time_string,
                        esc_attr( get_the_date( 'c' ) ),
                        esc_html( get_the_date() ),
                        esc_attr( get_the_modified_date( 'c' ) ),
                        esc_html( get_the_modified_date() )
                    );
                
                    $posted_on = sprintf(
                        _x( '%s', 'post date', 'flatly' ),
                        '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $time_string . '</a>'
                    );
                    echo '<span class="byline"> ' . $posted_on . '</span>';
                ?>
                
            </div>
        </div>
		<?php the_content(); ?>
        <?php if (get_theme_mod('flatly_author_bio') ) : ?>
            <div class="author-bio">        
                <?php 
                $author_avatar = get_avatar( get_the_author_meta('email'), '75' );
                if ($author_avatar) : ?>
                    <div class="author-thumb"><?php echo $author_avatar; ?></div>
                <?php endif; ?>
                
                <div class="author-info">
                    <?php $author_posts_url = get_author_posts_url( get_the_author_meta( 'ID' )); ?> 
                    <h4 class="author-title"><?php _e('Posted by ', 'flatly'); ?><a href="<?php echo esc_url($author_posts_url); ?>" title="<?php printf( __( 'View all posts by %s', 'flatly' ), get_the_author() ) ?>"><?php the_author(); ?></a></h4>
                    <?php $author_desc = get_the_author_meta('description');
                    if ( $author_desc ) : ?>
                    <p class="author-description"><?php echo $author_desc; ?></p>
                    <?php endif; ?>
                    <?php $author_url = get_the_author_meta('user_url');
                    if ( $author_url ) : ?>
                    <p><?php _e('Website: ', 'flatly') ?><a href="<?php echo esc_url($author_url); ?>"><?php echo esc_url($author_url); ?></a></p>
                    <?php endif; ?>
                </div>
        </div>
        <?php endif; ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'flatly' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
    <?php flatly_post_nav(); ?>
    <?php
		// If comments are open or we have at least one comment, load up the comment template
		if ( comments_open() || get_comments_number() ) :
			comments_template();
		endif;
	?>
	
</article><!-- #post-## -->
