<?php

require get_template_directory() . '/inc/excerpts.php';
require get_template_directory() . '/inc/pagination.php';
require get_template_directory() . '/inc/template-tags.php';
require get_template_directory() . '/inc/customizer.php';
require get_template_directory() . '/inc/widget-post.php';


add_action('after_setup_theme', 'flatly_theme_setup');
if (!function_exists( 'flatly_theme_setup' ) ) {
	function flatly_theme_setup(){
		load_theme_textdomain('flatly', get_template_directory() . '/languages');		
		add_editor_style();
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'custom-background') ;
		add_theme_support( "title-tag" );
		add_theme_support( 'custom-header' );
		add_theme_support( 'custom-logo' );
		/* Set image sizes*/	
		add_image_size( 'flatly-widget-post-thumb',  70, 70, true );
		add_image_size( 'flatly-post-thumb',  400, '200' , true );
		add_image_size( 'flatly-small-thumb',  130, 135 , true );
		add_image_size( 'flatly-medium-thumb',  350, 300 , true );
		add_image_size( 'flatly-feature-image',  800, 350, true );
		add_image_size( 'flatly-large-image',  800, 689, true );
		// register navigation menus
		register_nav_menus(
			array(
			'primary-menu'=>__('Primary Menu', 'flatly'),
			'top-menu'=>__('Top Menu', 'flatly')
		));
	}
}



if (!function_exists( 'flatly_menu' ) ){
	function flatly_menu() {	
		require get_template_directory() . '/inc/flatly-menu.php';	
	}
}


if (!function_exists( 'flatly_content_width' ) ) :
	function flatly_content_width() {
		global $content_width;
		if (!isset($content_width))
			$content_width = 550; /* pixels */
	}
endif;
add_action( 'after_setup_theme', 'flatly_content_width' );

/**
 * Enqueue scripts & styles
 */
if (!function_exists( 'flatly_custom_scripts' ) ) :
	function flatly_custom_scripts() {
		global $wp_scripts;
		wp_enqueue_script( 'flatly_responsive_js', get_template_directory_uri() . '/js/responsive.js', array( 'jquery' ) );	
		wp_enqueue_script( 'flatly_navigation_js', get_template_directory_uri() . '/js/navigation.js', array( 'jquery' ) );		
		wp_enqueue_script( 'flatly_ie', get_template_directory_uri() . "/js/html5shiv.js");
    	$wp_scripts->add_data( 'flatly_ie', 'conditional', 'lt IE 9' );
		wp_enqueue_script( 'flatly_ie-responsive', get_template_directory_uri() . "/js/ie-responsive.min.js");
    	$wp_scripts->add_data( 'flatly_ie-responsive', 'conditional', 'lt IE 9' );
		wp_enqueue_style( 'flatly_responsive', get_template_directory_uri() .'/css/responsive.css', array(), false ,'screen' );
		wp_enqueue_style( 'flatly_font_awesome', get_template_directory_uri() .'/assets/css/font-awesome.min.css' );
		wp_enqueue_style( 'flatly_style', get_stylesheet_uri() );
		wp_enqueue_style('flatly_googleFonts', '//fonts.googleapis.com/css?family=Lato');
		wp_enqueue_script( 'flatly_navigation_js', get_template_directory_uri() . '/js/navigation.js' );

	}
endif;
add_action('wp_enqueue_scripts', 'flatly_custom_scripts');

if (!function_exists( 'flatly_enqueue_comment_reply' ) ) :
	function flatly_enqueue_comment_reply() {
		wp_enqueue_script( 'comment-reply' );
	 }
endif;
add_action( 'comment_form_before', 'flatly_enqueue_comment_reply' );


// Register widgetized area and update sidebar with default widgets
function flatly_widgets_init() {
	register_sidebar( array(
		'name' => __( 'Homepage Sidebar', 'flatly' ),
		'id' => 'defaul-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<div class="widget-title"><h4>',
		'after_title' => '</h4><div class="arrow-right"></div></div>',
		'class' => 'clearfix'
	) );
	
	register_sidebar( array(
		'name' => __( 'Post Sidebar', 'flatly' ),
		'id' => 'post-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<div class="widget-title"><h4>',
		'after_title' => '</h4><div class="arrow-right"></div></div>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Page Sidebar', 'flatly' ),
		'id' => 'page-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<div class="widget-title"><h4>',
		'after_title' => '</h4><div class="arrow-right"></div></div>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Archives Sidebar', 'flatly' ),
		'id' => 'archives-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget' => "</aside>",
		'before_title' => '<div class="widget-title"><h4>',
		'after_title' => '</h4><div class="arrow-right"></div></div>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Banner Widget', 'flatly' ),
		'description' => 'Enter your banner code into this text widget.',
		'id' => 'top-right-widget',
		'before_widget' => '<div id="top-widget">',
		'after_widget' => "</div>",
		'before_title' => '',
		'after_title' => '',
	) );	

	
}
add_action( 'widgets_init', 'flatly_widgets_init' );

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';


/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';

?>
