<?php
/**
 * @package Flatly
 */
?>

<div id="featured-post">
    <h1 class="title"><a href="<?php the_permalink('') ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h1>
    <div class="image-container-responsive">
        <a href="<?php the_permalink('') ?>" title="<?php the_title(); ?>"><?php the_post_thumbnail('flatly-feature-image'); ?></a>
    </div>
        <div class="row entry-meta">
            <div id="featured-category" class="col-lg-8">
                <?php
                    $categories_list = get_the_category_list( __( ', ', 'flatly' ) );
                    if ( $categories_list && flatly_categorized_blog() ) {
                        printf( '<span class="cat-links">' . __( 'Posted in %1$s', 'flatly' ) . '</span>', $categories_list );
                    }
                ?>
            </div>
            <div class="col-lg-4 post-date">
                <?php
                    $time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';
                    if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
                        $time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time>';
                    }
                
                    $time_string = sprintf( $time_string,
                        esc_attr( get_the_date( 'c' ) ),
                        esc_html( get_the_date() ),
                        esc_attr( get_the_modified_date( 'c' ) ),
                        esc_html( get_the_modified_date() )
                    );
                
                    $posted_on = sprintf(
                        _x( '%s', 'post date', 'flatly' ),
                        '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $time_string . '</a>'
                    );
                    echo '<span class="byline"> ' . $posted_on . '</span>';								
                ?>
                
            </div>
        </div>    
    <div class="post_excerpt">
        <?php the_excerpt(); ?>
    </div>
    <div id="read-more">
        <a href="<?php the_permalink('') ?>" ><?php _e( 'Read More...', 'flatly' ); ?></a>
    </div>
</div>